Overpass API developpement

Text archives Help


Re: [overpass] Unsupported index file format version for v0.7.53


Chronological Thread 
  • From: Sajjad Anwar <sajjad@mapbox.com>
  • To: overpass@listes.openstreetmap.fr
  • Subject: Re: [overpass] Unsupported index file format version for v0.7.53
  • Date: Fri, 21 Oct 2016 10:17:26 +0530

Hey everyone,

This works great now. I was able to use 0.7.53 with a DB snapshot created by 0.7.52. 

One question - does the dev.overpass-api.de/clone DB support -lz4? Asking if it'd be easy when I build Overpass with -lz4 and clone the DB from that server. 

Thank you for all the help.

Cheers,
Sajjad

On Thu, Oct 20, 2016 at 12:49 PM, Sajjad Anwar <sajjad@mapbox.com> wrote:
Roland, amazing. Thank you for the quick turnaround. Going to try this today. Will keep you all posted.

mmd, I patched that 64bit note issue earlier and created a fresh DB :) Thank you for the note though. 

Sajjad


On Sat, Sep 17, 2016 at 12:23 PM, Roland Olbricht <roland.olbricht@gmx.de> wrote:
Hi Sajjad,

I've patched that bug. A new version is available at
http://dev.overpass-api.de/releases/

This version should be able to read both existing 0.7.53 databases and 0.7.52 databases. It sets a new file version flag, hence afterwards older versions of the software cannot read the database.

In particular, the workflow of cloning should be now working again.

The corresponding source code version is de900efc2c46b9238fe8b88870e4111f6e8abab8.

Cheers,
Roland






Archive powered by MHonArc 2.6.18.

Top of page